Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -47,5 +45,5 @@
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .) ,\
@@ -56,5 +54,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, context_input_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -66,5 +64,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4413)
@@ -35,4 +35,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -53,5 +51,5 @@
     (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -61,5 +59,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, context_input_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -71,5 +69,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4413)
@@ -34,4 +34,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -53,5 +51,5 @@
     (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -61,5 +59,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, context_input_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -71,5 +69,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4413)
@@ -35,4 +35,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -53,5 +51,5 @@
     (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -61,5 +59,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, context_input_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -71,5 +69,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4413)
@@ -35,4 +35,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -53,5 +51,5 @@
     (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -61,5 +59,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, context_input_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -71,5 +69,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4413)
@@ -34,4 +34,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -47,5 +45,5 @@
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .) ,\
@@ -56,5 +54,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, context_input_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -66,5 +64,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4413)
@@ -36,4 +36,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4413)
@@ -29,4 +29,7 @@
 #============================
 PeriodNb=50
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4413)
@@ -29,4 +29,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4413)
@@ -29,4 +29,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -46,5 +44,5 @@
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -54,5 +52,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -64,5 +62,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4413)
@@ -29,4 +29,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -47,5 +45,5 @@
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .) ,\
@@ -56,5 +54,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc, ping_orchidee.xml, dr2xml_orchidee.xml)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc, ping_orchidee.xml, dr2xml_orchidee.xml)
 
 [OutputFiles]
@@ -66,5 +64,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4413)
@@ -32,4 +32,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -46,5 +44,5 @@
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -54,5 +52,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -64,5 +62,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_nudge/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4413)
@@ -29,4 +29,8 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
+
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -51,5 +49,5 @@
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -59,5 +57,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -69,5 +67,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4413)
@@ -29,4 +29,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 4413)
@@ -4,7 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# By default the file orchidee.def_Choi will be selected.
-# Sef DefSuffix=Choi (default) to activate default 2-layer Choisnel hydrology
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -51,5 +49,5 @@
 List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -59,5 +57,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
@@ -69,5 +67,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4413)
@@ -29,5 +29,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
-
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 4413)
@@ -4,6 +4,5 @@
 [UserChoices]
 # The variable DefSuffix gives the suffix of the orchidee.def file to be used.
-# Set DefSuffix=CWRR to activate 11-layer CWRR hydrology (default)
-# Sef DefSuffix=Choi to activate 2-layer Choisnel hydrology (obsolete option)
+# By default the file orchidee.def_CWRR will be selected.
 DefSuffix=CWRR
 
@@ -53,5 +52,5 @@
         (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
 	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
@@ -61,5 +60,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, file_def_input_orchidee.xml, river_desc.nc, ping_orchidee.xml, dr2xml_orchidee.xml)
+List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc, ping_orchidee.xml, dr2xml_orchidee.xml)
 
 [OutputFiles]
@@ -71,5 +70,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, transpir, evapnu)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4412)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4413)
@@ -39,4 +39,7 @@
 #-- Compression level for netcdf output files
 CompressionLevel=2
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=`pwd`/../ARCH/arch.env
 
 #========================================================================
